<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    </head>
    <body>

        <style type="text/css">
            .marcar{
                font-weight: bolder;
                color: red;
            }
        </style>


        <script type="text/javascript">

            function alterarTamanhoFonte() {
                //debugger ; 
                var tamanho = $('#txtFonte').val();
                var paragrafo = $('#txt_paragrafo_fonte');

                paragrafo.css('font-size', tamanho + 'px');

            }


            function buscarPalavras() {

                var campoBusca = $('#txtBuscar');
                var textoBuscado = campoBusca.val().trim();
                var campoParagrafo = $('#txt_paragrafo_buscado');
                var textoOriginal = campoParagrafo.text().split(' ');
                var textoFinal = "";
                for (var i = 0; i < textoOriginal.length; i++) {
                    if (textoBuscado.toUpperCase() === textoOriginal[i].toUpperCase()) {
                        textoFinal += ' ' + '<span class="marcar" >' + textoOriginal[i] + '</span>';

                    } else {
                        textoFinal += ' ' + textoOriginal[i];

                    }
                }

                campoParagrafo.html(textoFinal);



            }

        </script>


        Tamanho : <input id="txtFonte" type="text" /> 
        <input type="button" value="Alterar" onclick="alterarTamanhoFonte();" />
        <br />

        <p id="txt_paragrafo_fonte" > 
            Por conseguinte, a contínua expansão de nossa atividade causa impacto indireto na reavaliação dos relacionamentos verticais entre as hierarquias. Nunca é demais lembrar o peso e o significado destes problemas, uma vez que a complexidade dos estudos efetuados faz parte de um processo de gerenciamento das diretrizes de desenvolvimento para o futuro. A certificação de metodologias que nos auxiliam a lidar com o entendimento das metas propostas estimula a padronização dos níveis de motivação departamental. No entanto, não podemos esquecer que o consenso sobre a necessidade de qualificação auxilia a preparação e a composição das regras de conduta normativas. No mundo atual, o novo modelo estrutural aqui preconizado facilita a criação das novas proposições.

        </p> 




        Palavra : <input id="txtBuscar" type="text" /> 
        <input type="button" value="Buscar" onclick="buscarPalavras();" />
        <br />
        <p id="txt_paragrafo_buscado">
            A prática cotidiana prova que o acompanhamento das preferências de consumo assume importantes posições no estabelecimento das direções preferenciais no sentido do progresso. Por outro lado, o julgamento imparcial das eventualidades garante a contribuição de um grupo importante na determinação do sistema de formação de quadros que corresponde às necessidades. As experiências acumuladas demonstram que a percepção das dificuldades afeta positivamente a correta previsão do sistema de participação geral. Pensando mais a longo prazo, a consulta aos diversos militantes oferece uma interessante oportunidade para verificação dos índices pretendidos. Percebemos, cada vez mais, que a adoção de políticas descentralizadoras acarreta um processo de reformulação e modernização das condições financeiras cotidiana e administrativas exigidas.
        </p>
    </body>
</html>
